# README #

Paper: Learning by serialisation 
Authors: Pablo Strasser, Stephane Marchand Malliet, Stephane Armand, Alexandros Kalousis

### Abstract ###
  
  

  Ever more complex structures such as sets, trees or graphs are involved into machine 
  learning problems. Tailoring a learning algorithm to every specific structure requires 
  an effort that may be saved by defining a generic learning procedure adaptive to every 
  new complex structure. In this paper, we propose to map any complex structure onto a 
  generic form, called serialization, over which any sequence density estimator may be 
  applied. The density thus learned may then be transferred back onto the space of 
  original structures. For the learning procedure to be generic, such as a RNN, care 
  must be taken that the serializations used for training reflect and describe accurately 
  the properties of the space of original structures. Enumerating all these 
  serializations would be infeasible in practice. Hence, we propose an effective way to 
  sample representative serializations from this complete set while retaining their statistics 
  in the complete set. One major asset of our proposal, which verifies empirically, 
  is that since serialization is a combinatorial process by construction, our training 
  based on these is not anymore prone to overfitting, as any training instance will be 
  essentially unique. This opens the door to trying ever more complex architectures 
  without the curse of overfitting.

